ISWGRAPH(3)

NAME
iswgraph - test for graphic wide character

SYNOPSIS
#include <wctype.h>

int iswgraph(wint_t wc);

DESCRIPTION
The iswgraph() function is the wide-character equivalent of the isgraph() function. It tests whether wc is a wide character belonging to the wide character class "graph".

The wide character class "graph" is a subclass of the wide character class "print".

Being a subclass of the wide character class "print", the wide character class "graph" is disjoint from the wide character class "cntrl".

The wide character class "graph" is disjoint from the wide character class "space" and therefore also disjoint from its subclass "blank".

The wide character class "graph" contains all the wide characters from the wide character class "print" except the space character. It therefore contains the wide character classes "alnum" and "punct".

RETURN VALUE
The iswgraph() function returns non-zero if wc is a wide character belonging to the wide character class "graph". Otherwise it returns zero.

CONFORMING TO
C99.

SEE ALSO
isgraph(3), iswctype(3)

NOTES
The behaviour of iswgraph() depends on the LC_CTYPE category of the current locale.